/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.bean;

import java.util.*;

/**
 * This class encapsulates the information of a peer group.  
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class PeerGroupInfo extends AttributeSupportedObject {
    
    /**
     * Represents the identifier of the peer group.
     */
    private String id = null;
    
    /**
     * Represents the description of the peer group. 
     */
    private String description = null;
    
    /**
     * Represents the credential of the peer group. 
     * It is used the validation of the message.
     */
    private Credential credential = null;
    
    /**
     * This map stores all the peers in the peer group.
     * The key is peerId, the value is PeerInfo object. 
     */
    private Map peers = new HashMap();
    
    /**
     * Return the id of the peer group.
     * @return the id of the peer group
     */
    public String getPeerGroupInfoId() {
        return null;
    }
    
    /**
     * Set the description of the peer group.
     *
     */
    public void setPeerGroupDescription() {
        
    }
    
    /**
     * Return the description of the peer group
     * @return the description of the peer group
     */
    public String getPeerGroupDescription() {
        return null;
    }
    
    /**
     * Return whether the peer is in the peer group.
     * 
     * @param peerInfoId the id of the peer to check
     * @return whether the peer is in the peer group
     */
    public boolean containsPeer(String peerInfoId) {
        return false;
    }
    
    /**
     * Add the peer to this peer group.
     * 
     * peers.put(peer.getPeerInfoId(), peer);
     * 
     * @param peer the peer to add
     */
    public void addPeer(PeerInfo peer) {
        
    }
    
    /**
     * Remove the peer with specified id from the peer group.
     * @param peerInfoId the id of the peer to remove
     */
    public void removePeer(String peerInfoId) {
        
    }
    
    /**
     * Return all the peers in this peer group.
     * @return all the peers in this peer group
     */
    public Collection getAllPeers() {
        return null;
    }
    
    /**
     * Set the credential of this peer group
     * @param credential the credential to set
     */
    public void setCredential(Credential credential) {
        
    }
    
    /**
     * Return the credential of this peer group.
     * @return the credential of this peer group
     */
    public Credential getCredential() {
        return null;
    }
    
}
