/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl;

/**
 * This class defines the state of the synchronized peer group service.
 *  
 * There are three states of the service:
 * 1)	DEAD
 * The peer is dropped in the peer group.
 * 2)	UNSYNCHRONIZED
 * The peer is not synchronized with other peers in the group.
 * 3)	SYNCHRONIZED
 * The peer is synchronized with other peers in the group.
 * 
 * If the peer is synchronized, it have two attributes:
 * 3.1) TURN
 * 	A peer group deals a single message in one turn.
 * 3.2) PHASE
 * 	A turn hase three phase:
 * 	3.2.1) VOTE
 * 		In this phase, each peer in the peer group votes to
 * 		process which message.
 * 	3.2.2) PROCESS
 *      In this phase, each peer process the selected message
 *      and sends the result of the proccess.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class ServiceState {
    
    public static final int DEAD = 0;
    public static final int UNSYNCHRONIZED = 1;
    public static final int SYNCHRONIZED = 2;
    
    public static final int VOTE = 0;
    public static final int PROCESS = 1;    
    
    private int state = 1;
    
    private int turn = 1;
    
    private int currentPhase = 0;
    
    public int getState() {
        return state;
    }
    
    public void setState(int state) {
        
    }
    
    public int getTurn() {
        return turn;
    }
    
    public void setTurn(int turn) {
        
    }
    
    public int getCurrentPhase() {
        return this.currentPhase;
    }
    
    public void setCurrentPhase(int phase) {
        
    }
    
    public void initializePhase() {
        
    }
}
